OutboundTcpConnection (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.net
Class OutboundTcpConnection

    java.lang.Object
      java.lang.Thread
          org.apache.cassandra.net.OutboundTcpConnection

All Implemented Interfaces:
  java.lang.Runnable

    public class OutboundTcpConnection

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`OutboundTcpConnection(OutboundTcpConnectionPool pool)`

Method Summary
`void` | `enqueue(Message message, java.lang.String id)`
`long` | `getCompletedMesssages()`
`int` | `getPendingMessages()`
`static int` | `messageLength(Header header, java.lang.String id, byte[] bytes)`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutboundTcpConnection

    public OutboundTcpConnection(OutboundTcpConnectionPool pool)

Method Detail

### enqueue

    public void enqueue(Message message,
                        java.lang.String id)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### getPendingMessages

    public int getPendingMessages()

### getCompletedMesssages

    public long getCompletedMesssages()

### messageLength

    public static int messageLength(Header header,
                                    java.lang.String id,
                                    byte[] bytes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation